Create traffic source
curl --request POST \
--url https://panel.metricanic.com/api/v1/traffic-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "PropellerAds",
"clickIdParam": "clickid",
"costParam": "cost",
"postbackUrl": "https://ads.example.com/postback",
"clickIdMacro": "${SUBID}",
"costMacro": "${COST}"
}
'import requests
url = "https://panel.metricanic.com/api/v1/traffic-sources"
payload = {
"name": "PropellerAds",
"clickIdParam": "clickid",
"costParam": "cost",
"postbackUrl": "https://ads.example.com/postback",
"clickIdMacro": "${SUBID}",
"costMacro": "${COST}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'PropellerAds',
clickIdParam: 'clickid',
costParam: 'cost',
postbackUrl: 'https://ads.example.com/postback',
clickIdMacro: '${SUBID}',
costMacro: '${COST}'
})
};
fetch('https://panel.metricanic.com/api/v1/traffic-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "6f9d2b4e-8a1c-4d3e-9f5a-7b2c4d6e8f0a"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}Traffic Sources
Create traffic source
Creates a traffic source and returns its id.
POST
/
api
/
v1
/
traffic-sources
Create traffic source
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 160Maximum string length:
120Maximum string length:
120Absolute http(s) URL. Private, loopback, and local metadata hosts are rejected.
Maximum string length:
2048Maximum string length:
120Maximum string length:
120